Subject: Re: chroot not limiting

From: [email-masked] (Geoff Terry Systems & Net supt 064 923677)
Date: Tue, 29 Apr 1997 14:50:47 +1000 (EST)

Becky,
is group 100 defined as a guest group in ftpaccess (only guest groups and
anonymous get chrooted).

PS if a user kuvasz does cd .. from his home directory (as defined below)
and does pwd, the response is / are you sure they get to the system root?

Geofft

>this is on Digital Unix 4.0, wu beta 13.
>
>I have some accounts set up like this:
>
>kuvasz:123456sf:100:100:Kuvasz Dog Rescue:/usr/ftpusers/kuvasz/./:/bin/false
>
>anyway, kuvasz can log in and do all the stuff they need just fine.  they
>can also cd up one directory, and then up, again until into /.  Root, for
>them, does not seem to be /usr/ftpusers/kuvasz and the directory ftpusers
>is owned by root, grouped by system, of which kuvasz is not a member.
>
>Am I truly missing something here (since it is 12:01est now :-)) or does
>chroot not limit people to what they can cd into?
>
>thanks
>
>beckers
>
>
>
>
Geoff Terry    Systems & Network Support
ACR Net        Sapphire Coast NSW 2550
Australia
Ph 064 923677  Mobile 015 668 227 Fax 064 924594

---

From: Becki Kain <[email-masked]>
Date: Tue, 29 Apr 1997 10:45:04 -0400 (EDT)

> is group 100 defined as a guest group in ftpaccess (only guest groups and

I will look, but that is probably my mistake!

> and does pwd, the response is / are you sure they get to the system root?

no, what I meant to say was, I can log is as kuvasz, and the home is
/usr/ftpusers/kuvasz.  I can then cd up one and pwd, the directory is
/usr/ftpusers, etc...